<?php

namespace App\Notification\Providers;

use App\Notification\NotificationProvider;

class AllNotification extends NotificationProvider {
    private const NOTIFICATIONS_PROVIDERS = [
        DiscordWebHookNotification::class,
    ];

    /**
     * @inheritDoc
     */
    public static function send(\App\Notification\Notification $notification, array $options = []): void {
        foreach (self::NOTIFICATIONS_PROVIDERS as $provider) {
            $provider::send($notification, $options);
        }
    }
}
